<template>
  <div id="app">
    <component 
        v-bind:is="this.tag.getIcon()" 
        v-b-popover.hover="this.tag.getText()"/>
  </div>
</template>
<script>
import Tag from '@/models/Tag'

import CSharp from 'vue-material-design-icons/language-csharp.vue'
import Python from 'vue-material-design-icons/language-python.vue'
import Javascript from 'vue-material-design-icons/language-javascript.vue'
import C from 'vue-material-design-icons/language-c.vue'
import CPlusPlus from 'vue-material-design-icons/language-cpp.vue'
import Tournament from 'vue-material-design-icons/tournament.vue'
import Fire from 'vue-material-design-icons/fire.vue'
import New from 'vue-material-design-icons/new-box.vue'

export default {
    name: 'app',
    components: {
        CSharp: CSharp,
        Python: Python,
        Javascript: Javascript,
        C: C,
        CPlusPlus: CPlusPlus,
        Tournament: Tournament,
        Fire: Fire,
        New: New
    },
    props: {
        tag: Tag
    }
}
</script>
<style>

</style>
